package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag195;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT195Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT195Creator mt195Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt195Creator = (MT195Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77AValue = mt195Creator.getNarrative();
        mt195Creator.set("77A", tag77AValue);
    }
}
